#ifndef __TLCDYNCH_HPP
#define __TLCDYNCH_HPP

#include "tlcdynch.h"

class CDynamicChannel : public CTlcChannel {
public:
     CDynamicChannel(CTlcAPI* tlcAPI);
     CDynamicChannel(CTlcAPI* tlcAPI, LPCHFUNCPTRS ptrs);
     ~CDynamicChannel();

     VOID SetFuncPtrs(LPCHFUNCPTRS ptrs);
     SHORT AddUser(CTlcUser* pUser, GBOOL bIsFirstEnter);
     SHORT RemoveUser(CTlcUser* pUser, SHORT fExitType);
     VOID SendWelcome(CTlcUser* pUser);
     GBOOL CanAccess(CTlcUser* pUser,INT access);

private:
     LPCHFUNCPTRS pFuncs;
};

#endif // __TLCDYNCH_HPP














